Subject: Re: login and telnetd
From: [email-masked] ("Jerome Gay")

6 Aug 1997 08:39:24 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Reply-To: "Jerome Gay" <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
Original-To: "Sergey Okhapkin" <[email-masked]>
Original-Cc: "cygnus" <[email-masked]>
X-Priority: 3
X-Msmail-Priority: Normal
X-Mailer: Microsoft Outlook Express 4.71.1008.3
X-Mimeole: Produced By Microsoft MimeOLE Engine V4.71.1008.3
Original-Sender: [email-masked]

Sergey-

Thanks a lot...
After a few tries, login is working fine, I had to give my administrator
account the "Replace a process token" right, "Increases quotas" is set by
default for administrators, "Logon as a service" does not seem to be
required to run login locally.
I still cannot have telnetd running...
 Though rexecd is ok ,I can run rxvt via rexec, but then :
  - bash starts in directory '/HOME/GAY' (though $HOME=/home/gay), but if I
type 'cd' then 'pwd' I got '/home/gay'
  - my .bashrc is not executed (maybe linked to this uppercase/lowercase
problem for my home dir),
  - I got lots of messages like 'free_tty: count < 0' in rxvt,
  - <backspace> does not work in rxvt, I have to type <shift> + <backspace>
!...

I've run into a lot of newbie problems to setup gnuwin32 ok, I'm trying to
write-down what I may consider as 'must_be_done' steps. If anyone is
interested or wants to add some input... you're welcome *:o)8

Jerome "ZoSo"

-----Original Message-----
From: Sergey Okhapkin <[email-masked]>
To: 'Jerome Gay' <[email-masked]>
Cc: cygnus <[email-masked]>
Date: Wednesday, August 06, 1997 3:18 PM
Subject: RE: login and telnetd

>Jerome Gay wrote:
>> (BTW, Sergey do you know exactly how to configure a user with User
>Manager
>> to have login.exe working fine ?)
>> I enter login name and password, which are ok, and I get :
>> login: no shell: /bin/sh: Not owner
>
>The rights required are "Act as part of operation system" (SE_TCB_NAME) for
>LogonUser call, and "Assign primary token" (SE_ASSIGNPRIMARYTOKEN_NAME)
> and "Increase quotas" (SE_INCREASE_QUOTA_NAME) for CreateProcessAsUser
>call.
>
>
>
>--
>Sergey Okhapkin, http://www.lexa.ru/sos
>Moscow, Russia
>Looking for a job.
>
>
>
>

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".